libsamba-devel-4.7.12-1.1.mga6.i586.rpm


Advertisement

Description

libsamba-devel - Developer tools for Samba libraries

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package filename libsamba-devel-4.7.12-1.1.mga6.i586.rpm
Package name libsamba-devel
Package version 4.7.12
Package release 1.1.mga6
Package architecture i586
Package type rpm
Category Development/C
Homepage http://www.samba.org/
License GPLv3+ and LGPLv3+
Maintainer -
Download size 215.05 KB
Installed size 1.43 MB
The samba4-devel package contains the header files for the libraries
needed to develop programs that link against the SMB, RPC and other
libraries in the Samba suite.

Alternatives

Package Version Architecture Repository
libsamba-devel-4.7.12-1.2.mga6.i586.rpm 4.7.12 i586 Mageia Core Updates
libsamba-devel-4.6.16-1.mga6.i586.rpm 4.6.16 i586 Mageia Core Updates
libsamba-devel-4.6.12-1.1.mga6.i586.rpm 4.6.12 i586 Mageia Core Updates
libsamba-devel-4.6.12-1.mga6.i586.rpm 4.6.12 i586 Mageia Core Updates
libsamba-devel-4.6.7-1.mga6.i586.rpm 4.6.7 i586 Mageia Core Updates
libsamba-devel-4.6.5-1.mga6.i586.rpm 4.6.5 i586 Mageia Core
libsamba-devel - - -

Requires

Name Value
devel(libcap) -
devel(libdcerpc) -
devel(libdcerpc-binding) -
devel(libgnutls) -
devel(liblber-2.4) -
devel(libldap-2.4) -
devel(libldb) -
devel(libndr) -
devel(libndr-nbt) -
devel(libndr-standard) -
devel(libnsl) -
devel(libsamba-credentials) -
devel(libsamba-errors) -
devel(libsamba-hostconfig) -
devel(libsamba-passdb) -
devel(libsamba-util) -
devel(libsamdb) -
devel(libsmbconf) -
devel(libsystemd) -
devel(libtalloc) -
devel(libtdb) -
devel(libtevent) -
devel(libtevent-util) -
devel(libwbclient) -
libsamba1 == 4.7.12-1.1.mga6
pkgconfig -
pkgconfig(dcerpc) -
pkgconfig(ldb) -
pkgconfig(ndr) -
pkgconfig(ndr_standard) -
pkgconfig(samba-util) -
pkgconfig(talloc) -
pkgconfig(tevent) -

Provides

Name Value
devel(libdcerpc) -
devel(libdcerpc-binding) -
devel(libdcerpc-samr) -
devel(libdcerpc-server) -
devel(libndr) -
devel(libndr-krb5pac) -
devel(libndr-nbt) -
devel(libndr-standard) -
devel(libnetapi) -
devel(libsamba-credentials) -
devel(libsamba-errors) -
devel(libsamba-hostconfig) -
devel(libsamba-passdb) -
devel(libsamba-policy) -
devel(libsamba-util) -
devel(libsamdb) -
devel(libsmbconf) -
devel(libsmbldap) -
devel(libtevent-util) -
libsamba-devel == 4.7.12-1.1.mga6
libsamba-devel(x86-32) == 4.7.12-1.1.mga6
pkgconfig(dcerpc) == 0.0.1
pkgconfig(dcerpc_samr) == 0.0.1
pkgconfig(dcerpc_server) == 0.0.1
pkgconfig(ndr) == 0.1.0
pkgconfig(ndr_krb5pac) == 0.0.1
pkgconfig(ndr_nbt) == 0.0.1
pkgconfig(ndr_standard) == 0.0.1
pkgconfig(netapi) == 0
pkgconfig(samba-credentials) == 0.0.1
pkgconfig(samba-hostconfig) == 0.0.1
pkgconfig(samba-policy) == 0.0.1
pkgconfig(samba-util) == 0.0.1
pkgconfig(samdb) == 0.0.1
samba-devel == 4.7.12-1.1.mga6

Obsoletes

Name Value
libsamba4-devel < 4.1.17-11

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package libsamba-devel-4.7.12-1.1.mga6.i586.rpm
Source Package samba-4.7.12-1.1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libsamba-devel rpm package:
    # urpmi libsamba-devel

Files

Path
/usr/include/samba-4.0/charset.h
/usr/include/samba-4.0/credentials.h
/usr/include/samba-4.0/dcerpc.h
/usr/include/samba-4.0/dcerpc_server.h
/usr/include/samba-4.0/domain_credentials.h
/usr/include/samba-4.0/ldb_wrap.h
/usr/include/samba-4.0/lookup_sid.h
/usr/include/samba-4.0/machine_sid.h
/usr/include/samba-4.0/ndr.h
/usr/include/samba-4.0/netapi.h
/usr/include/samba-4.0/param.h
/usr/include/samba-4.0/passdb.h
/usr/include/samba-4.0/policy.h
/usr/include/samba-4.0/rpc_common.h
/usr/include/samba-4.0/share.h
/usr/include/samba-4.0/smb2_lease_struct.h
/usr/include/samba-4.0/smb_ldap.h
/usr/include/samba-4.0/smbconf.h
/usr/include/samba-4.0/smbldap.h
/usr/include/samba-4.0/tdr.h
/usr/include/samba-4.0/tsocket.h
/usr/include/samba-4.0/tsocket_internal.h
/usr/include/samba-4.0/util_ldb.h
/usr/include/samba-4.0/core/doserr.h
/usr/include/samba-4.0/core/error.h
/usr/include/samba-4.0/core/hresult.h
/usr/include/samba-4.0/core/ntstatus.h
/usr/include/samba-4.0/core/ntstatus_gen.h
/usr/include/samba-4.0/core/werror.h
/usr/include/samba-4.0/core/werror_gen.h
/usr/include/samba-4.0/gen_ndr/atsvc.h
/usr/include/samba-4.0/gen_ndr/auth.h
/usr/include/samba-4.0/gen_ndr/dcerpc.h
/usr/include/samba-4.0/gen_ndr/drsblobs.h
/usr/include/samba-4.0/gen_ndr/drsuapi.h
/usr/include/samba-4.0/gen_ndr/krb5pac.h
/usr/include/samba-4.0/gen_ndr/lsa.h
/usr/include/samba-4.0/gen_ndr/misc.h
/usr/include/samba-4.0/gen_ndr/nbt.h
/usr/include/samba-4.0/gen_ndr/ndr_atsvc.h
/usr/include/samba-4.0/gen_ndr/ndr_dcerpc.h
/usr/include/samba-4.0/gen_ndr/ndr_drsblobs.h
/usr/include/samba-4.0/gen_ndr/ndr_drsuapi.h
/usr/include/samba-4.0/gen_ndr/ndr_krb5pac.h
/usr/include/samba-4.0/gen_ndr/ndr_misc.h
/usr/include/samba-4.0/gen_ndr/ndr_nbt.h
/usr/include/samba-4.0/gen_ndr/ndr_samr.h
/usr/include/samba-4.0/gen_ndr/ndr_samr_c.h
/usr/include/samba-4.0/gen_ndr/ndr_svcctl.h
/usr/include/samba-4.0/gen_ndr/ndr_svcctl_c.h
/usr/include/samba-4.0/gen_ndr/netlogon.h
/usr/include/samba-4.0/gen_ndr/samr.h
/usr/include/samba-4.0/gen_ndr/security.h
/usr/include/samba-4.0/gen_ndr/server_id.h
/usr/include/samba-4.0/gen_ndr/svcctl.h
/usr/include/samba-4.0/ndr/ndr_dcerpc.h
/usr/include/samba-4.0/ndr/ndr_drsblobs.h
/usr/include/samba-4.0/ndr/ndr_drsuapi.h
/usr/include/samba-4.0/ndr/ndr_krb5pac.h
/usr/include/samba-4.0/ndr/ndr_nbt.h
/usr/include/samba-4.0/ndr/ndr_svcctl.h
/usr/include/samba-4.0/samba/session.h
/usr/include/samba-4.0/samba/version.h
/usr/include/samba-4.0/util/attr.h
/usr/include/samba-4.0/util/blocking.h
/usr/include/samba-4.0/util/byteorder.h
/usr/include/samba-4.0/util/data_blob.h
/usr/include/samba-4.0/util/debug.h
/usr/include/samba-4.0/util/fault.h
/usr/include/samba-4.0/util/genrand.h
/usr/include/samba-4.0/util/idtree.h
/usr/include/samba-4.0/util/idtree_random.h
/usr/include/samba-4.0/util/memory.h
/usr/include/samba-4.0/util/safe_string.h
/usr/include/samba-4.0/util/signal.h
/usr/include/samba-4.0/util/string_wrappers.h
/usr/include/samba-4.0/util/substitute.h
/usr/include/samba-4.0/util/talloc_stack.h
/usr/include/samba-4.0/util/tevent_ntstatus.h
/usr/include/samba-4.0/util/tevent_unix.h
/usr/include/samba-4.0/util/tevent_werror.h
/usr/include/samba-4.0/util/tfork.h
/usr/include/samba-4.0/util/time.h
/usr/lib/libdcerpc-binding.so
/usr/lib/libdcerpc-samr.so
/usr/lib/libdcerpc-server.so
/usr/lib/libdcerpc.so
/usr/lib/libndr-krb5pac.so
/usr/lib/libndr-nbt.so
/usr/lib/libndr-standard.so
/usr/lib/libndr.so
/usr/lib/libnetapi.so
/usr/lib/libsamba-credentials.so
/usr/lib/libsamba-errors.so
/usr/lib/libsamba-hostconfig.so
/usr/lib/libsamba-passdb.so
/usr/lib/libsamba-policy.so
/usr/lib/libsamba-util.so
/usr/lib/libsamdb.so
/usr/lib/libsmbconf.so
/usr/lib/libsmbldap.so
/usr/lib/libtevent-util.so
/usr/lib/pkgconfig/dcerpc.pc
/usr/lib/pkgconfig/dcerpc_samr.pc
/usr/lib/pkgconfig/dcerpc_server.pc
/usr/lib/pkgconfig/ndr.pc
/usr/lib/pkgconfig/ndr_krb5pac.pc
/usr/lib/pkgconfig/ndr_nbt.pc
/usr/lib/pkgconfig/ndr_standard.pc
/usr/lib/pkgconfig/netapi.pc
/usr/lib/pkgconfig/samba-credentials.pc
/usr/lib/pkgconfig/samba-hostconfig.pc
/usr/lib/pkgconfig/samba-policy.pc
/usr/lib/pkgconfig/samba-util.pc
/usr/lib/pkgconfig/samdb.pc

Changelog

2018-12-31 - buchan <buchan> 4.7.12-1.1.mga6
+ Revision: 1347360
- Update to 4.7.12 for CVE-2018-14629, CVE-2018-16841,
CVE-2018-16851, CVE-2018-16853
Upgrade dependencies (tdb 1.3.14, tevent 0.9.36, ldb 1.2.3)
Clean up file lists
- Security updates for CVE-2018-1057 and CVE-2018-1050
+ bcornec <bcornec>
- update to upstream samba-4.6.16 to fix mga#23444
+ luigiwalser <luigiwalser>
- 4.6.12
- 4.6.8
+ zezinho <zezinho>
- add dummy_client
+ semiletov <semiletov>
- spec update to 4.6.11
+ neoclust <neoclust>
- New version 4.6.7 ( Fixes CVE-2017-11103 (mga#21482)
2017-06-08 - luigiwalser <luigiwalser> 4.6.5-1.mga6
+ Revision: 1107268
- 4.6.5
2017-05-25 - neoclust <neoclust> 4.6.4-1.mga6
+ Revision: 1104505
- New version 4.6.4
2017-05-24 - luigiwalser <luigiwalser> 4.5.10-1.mga6
+ Revision: 1104363
- 4.5.10 (fixes CVE-2017-7494)
2017-05-23 - luigiwalser <luigiwalser> 4.5.9-1.mga6
+ Revision: 1104140
- 4.5.9
2017-03-31 - luigiwalser <luigiwalser> 4.5.8-1.mga6
+ Revision: 1095490
- 4.5.8
2017-03-23 - luigiwalser <luigiwalser> 4.5.7-1.mga6
+ Revision: 1094590
- 4.5.7 (fixes CVE-2017-2619)
- fix permissions of spool directory (mga#20513)
2017-03-14 - luigiwalser <luigiwalser> 4.5.6-1.mga6
+ Revision: 1092515
- 4.5.6
2017-03-12 - wally <wally> 4.5.5-2.mga6
+ Revision: 1092137
- add obsoletes to fix update from mga5 (mga#20456)
2017-01-31 - luigiwalser <luigiwalser> 4.5.5-1.mga6
+ Revision: 1084350
- 4.5.5

See Also

Package Description
libsamba-test0-4.6.12-1.1.mga6.i586.rpm Libraries need by teh testing tools for Samba servers and clients
libsamba-test0-4.6.12-1.mga6.i586.rpm Libraries need by teh testing tools for Samba servers and clients
libsamba-test0-4.6.16-1.mga6.i586.rpm Libraries need by teh testing tools for Samba servers and clients
libsamba-test0-4.6.7-1.mga6.i586.rpm Libraries need by teh testing tools for Samba servers and clients
libsamba-test0-4.7.12-1.1.mga6.i586.rpm Libraries need by teh testing tools for Samba servers and clients
libsamba-test0-4.7.12-1.2.mga6.i586.rpm Libraries need by teh testing tools for Samba servers and clients
libsamba1-4.6.12-1.1.mga6.i586.rpm Samba libraries
libsamba1-4.6.12-1.mga6.i586.rpm Samba libraries
libsamba1-4.6.16-1.mga6.i586.rpm Samba libraries
libsamba1-4.6.7-1.mga6.i586.rpm Samba libraries
libsamba1-4.7.12-1.1.mga6.i586.rpm Samba libraries
libsamba1-4.7.12-1.2.mga6.i586.rpm Samba libraries
libsane-hpaio1-3.17.10-1.mga6.i586.rpm SANE driver for scanners in HP's multi-function devices (from HPLIP)
libsane-hpaio1-3.19.5-1.mga6.i586.rpm SANE driver for scanners in HP's multi-function devices (from HPLIP)
libscience5-17.12.2-1.mga6.i586.rpm Runtime library for KDE Education Application
Advertisement
Advertisement